add-pssnapin Symantec.CSM.PS.Standards.SnapIn
add-pssnapin Symantec.CSM.PS.Assets.SnapIn
add-pssnapin Symantec.CSM.PS.Shared.SnapIn
clear-host

#Binding Type (BindingType)
# 1. NETTCP (Default)
# 2. HTTPS
# 3. HTTP 

#Default Port Number
# NetTcp = 1431
# HTTPS = 12431
# HTTP =  <No Port number req>

$AppServerNameAndPort="localhost:1431" # <ServerName:Port> 

$jobName = "Collection Job Created on " + (get-date -format g) | foreach {$_ -replace "/", "_"} | foreach {$_ -replace " ", "_"} 

$JobDetails = Initialize-CollectionJobDetails -Name $jobName -Description "Test Job Description" -DataCollectionCriteria 1

#Assets

$Assets = Search-Assets -Filter  {("displayname,startswith,e2e")} -SearchsubTree $True -AssetType "symc-csm-AssetSystem-Asset-Wnt-Machine" -Numberofobjectstoretrieve 2

#Standards

$Standards=Search-standards  -Filter {("displayname,equalto,CIS*") -and ("displayname,contains,Security Benchmark")}  -SearchsubTree $True
                
#Schedule Data
$IncrementalScheduleData = Initialize-IncrementalSchedule -SubScheduleRepeatDays 0 -SubScheduleRepeatPeriodDays 0 -RepeatDays 7 -RunEveryNDays $FALSE -RunNow $TRUE -RunOnce $True -RunPeriodically $TRUE -StartDate ((get-date).AddSeconds(5) f "yyyy-MM-dd HH:mm:ss")

#SuccessNotification
$SuccessNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com" -Subject "Success Notification Message" -Body "Test Body"

#FailureNotification
$FailureNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com"  -Subject "Failure Notification Message" -Body "Test Body"

Create-DataCollectionJob -JobDetails $JobDetails -Assets $Assets -Schedule $IncrementalScheduleData -Standards $Standards -SuccessNotification $SuccessNotification -FailureNotification  $FailureNotification 

remove-pssnapin Symantec.CSM.PS.Shared.SnapIn
remove-pssnapin Symantec.CSM.PS.Assets.SnapIn
remove-pssnapin Symantec.CSM.PS.Standards.SnapIn