add-pssnapin Symantec.CSM.PS.Standards.SnapIn
add-pssnapin Symantec.CSM.PS.Assets.SnapIn
add-pssnapin Symantec.CSM.PS.Shared.SnapIn
clear-host

#Binding Type (BindingType)
# 1. NETTCP (Default)
# 2. HTTPS
# 3. HTTP 

#Default Port Number
# NetTcp = 1431
# HTTPS = 12431
# HTTP =  <No Port number req>

$AppServerNameAndPort="localhost:1431" # <ServerName:Port>  

$jobName = "Evaluation Job Created on " + (get-date -format g) | foreach {$_ -replace "/", "_"} | foreach {$_ -replace " ", "_"} 

$JobDetails = Initialize-EvaluationJobDetails -Name $jobName -Description "Test Job Description" 

#AssetsResolutionInfo
$Assets = Search-Assets -Filter {("displayname,startswith,e2e")} -SearchsubTree $True -AssetType "symc-csm-AssetSystem-Asset-Wnt-Machine" -Numberofobjectstoretrieve 5

#Standards
$Standards=Search-standards  -Filter {("displayname,equalto,CIS*") -and ("displayname,contains,Security Benchmark")} -SearchsubTree $True -Numberofobjectstoretrieve 2
                
#Schedule Data
$ScheduleData = Initialize-Schedule -RepeatDays 7 -RunEveryNDays $FALSE -RunNow $TRUE -RunOnce $True -RunPeriodically $TRUE -StartDate ((get-date).AddSeconds(5) f "yyyy-MM-dd HH:mm:ss")

#SuccessNotification
$SuccessNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com" -Subject "Success Notification Message" -Body "Test Body"

#FailureNotification
$FailureNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com"  -Subject "Failure Notification Message" -Body "Test Body"

Create-EvaluationJob -JobDetails $JobDetails -Assets $Assets -Schedule $ScheduleData -Standards $Standards -SuccessNotification $SuccessNotification -FailureNotification  $FailureNotification 

remove-pssnapin Symantec.CSM.PS.Shared.SnapIn
remove-pssnapin Symantec.CSM.PS.Assets.SnapIn
remove-pssnapin Symantec.CSM.PS.Standards.SnapIn