add-pssnapin Symantec.CSM.PS.Standards.SnapIn
add-pssnapin Symantec.CSM.PS.Assets.SnapIn
add-pssnapin Symantec.CSM.PS.JobManager.SnapIn
add-pssnapin Symantec.CSM.PS.Tags.SnapIn
add-pssnapin Symantec.CSM.PS.Shared.SnapIn
clear-host

$AppServerNameAndPort="suhaspatil:1431" # <ServerName:Port>  

$jobName = "Windows x64 Assets Collection Evaluation Job" 

$JobDetails = Initialize-CollectionEvaluationJobDetails -Name $jobName -Description "Test Job Description" -DataCollectionCriteria 1

#Assets
$Assets = Search-Assets -Filter {("symc-csm-AssetSystem-Asset-Wnt-Machine-OSVersionType,contains,x64")}
$AssetsGuid= @()
foreach($asset in $Assets)
{
    $AssetsGuid += $asset.ID
}

$TagCategory = "Windows x64"
$TagName = "Windows x64 Machines"
$CreatedTagCategory = Create-TagCategory -Name $TagCategory -Description "Windows x64 Assets Description"
$CreatedTag = Create-Tag -Category $TagCategory -Name $TagName -Description "Windows x64 Domain Assets"
$Tags = Search-Tags -Name $TagName -Category $TagCategory 
$Result = Add-Tags -Tags $Tags -ObjectGuids $AssetsGuid -ObjectType "windows machine" 


#Standards
$Standards=Search-standards -Filter {("displayname,equalto,CIS*")} 
                
#Schedule Data
$ScheduleData = Initialize-IncrementalSchedule -RepeatDays 7 -RunEveryNDays $FALSE -RunNow $False -RunOnce $True -RunPeriodically $False -StartDate ((get-date).AddSeconds(5) f "yyyy-MM-dd HH:mm:ss")

#SuccessNotification
$SuccessNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com" -Subject "Success Notification Message" -Body "Test Body"

#FailureNotification
$FailureNotification = Initialize-EmailNotification -FromAddress "suhas_patil@symantec.com" -ToAddress "suhas_patil@symantec.com"  -Subject "Failure Notification Message" -Body "Test Body"

$CreatedGuid = Create-DataCollectionEvaluationJob -JobDetails $JobDetails -Assets $Assets -Schedule $ScheduleData -Standards $Standards -SuccessNotification $SuccessNotification -FailureNotification  $FailureNotification 

Search-jobs -Name $jobName  | Execute-Job

remove-pssnapin Symantec.CSM.PS.Tags.SnapIn
remove-pssnapin Symantec.CSM.PS.JobManager.SnapIn
remove-pssnapin Symantec.CSM.PS.Assets.SnapIn
remove-pssnapin Symantec.CSM.PS.Standards.SnapIn
remove-pssnapin Symantec.CSM.PS.Shared.SnapIn